#include <QObject>
#include <QString>
#include <QMap>


class DesktopParser {
    public:

    static DesktopParser &getInstance() {
        static DesktopParser instance;
        return instance;
    }

    void loadSchemes();

    QString getScheme(const QString &scheme) {
        QString s = scheme.toLower().trimmed();

        if (_schemes.contains(s)) {
            return _schemes[s];
        }

        return "";
    }


    QMap<QString, QString>& getSchemes() { return _schemes; }




    private:
        DesktopParser();

        QStringList _applicationPaths{"/usr/share/applications"};
        QMap<QString, QString> _schemes{};

};
